Index: npl/internetserver/openvpn_conf/openvpn_conf.build
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.build	(revision 7afb649368b1646523567de6efac96eef955d348)
+++ npl/internetserver/openvpn_conf/openvpn_conf.build	(revision 7d1e056849f338a88f6e45dd30f52ce4c24828bf)
@@ -1,1 +1,1 @@
-6557
+6559
Index: npl/internetserver/openvpn_conf/openvpn_conf.md5
===================================================================
--- npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision 7afb649368b1646523567de6efac96eef955d348)
+++ npl/internetserver/openvpn_conf/openvpn_conf.md5	(revision 7d1e056849f338a88f6e45dd30f52ce4c24828bf)
@@ -1,5 +1,5 @@
-ad0d3351a2cd9ff935e403dc373cec15  ./openvpn_conf.pkg
+96d33d19dd2dd7c62653830905f56392  ./openvpn_conf.pkg
 729b418d4c2197708760319d4097906e  ./openvpn_conf.SlackBuild
-bd03aed25b69a2ac45a60cc4b8366d71  ./openvpn_conf.SlackBuild.log.gz
+989f13e22e0775af613932f97f671994  ./openvpn_conf.SlackBuild.log.gz
 02590f2d27b9254da5877e03719a9228  ./root/etc/firewall/services.openvpn
 5d08314120a94191e539c792b1c410a2  ./root/etc/openvpn/easyrsa
@@ -16,4 +16,3 @@
 d0d7a06379af67505bf5dae59d3e7afb  ./root/etc/openvpn/x509-types/server
 c8fadda104656594f3ceadbb13d9d178  ./root/etc/pam.d/openvpn
-146d030ab881f83fe5103dc691cd7369  ./root/etc/postinst.d/post.openvpn
-aeb8d4aa99fe22f5483fa5d4f593ffa2  ./root/service/openvpn/run
+152c8cb4320ada777fdb72d8c75f6eeb  ./root/service/openvpn/run
Index: npl/internetserver/openvpn_conf/root/etc/postinst.d/post.openvpn
===================================================================
--- npl/internetserver/openvpn_conf/root/etc/postinst.d/post.openvpn	(revision 7afb649368b1646523567de6efac96eef955d348)
+++ 	(revision )
@@ -1,61 +1,0 @@
-#!/bin/bash
-
-set -e
-
-#needed
-/sbin/postinst.sh post.openldap
-svcstart /service/slapd/  
-
-
-cd /etc/openvpn
-
-
-#basic setup
-if ! [ -e pki ]; then
-	./easyrsa init-pki
-fi
-
-#create ca cert
-if ! [ -e pki/ca.crt ]; then
-	echo syn3 | ./easyrsa build-ca nopass
-fi
-
-#create server cert
-if ! [ -e pki/issued/server.crt ]; then
-	./easyrsa build-server-full server nopass
-fi
-
-#create dh parameters
-if ! [ -e pki/dh.pem ]; then
-	./easyrsa gen-dh
-fi
-
-#create CRL list
-if ! [ -e pki/crl.pem ]; then
-	./easyrsa gen-crl
-fi
-
-#openvpn group
-if ! ( getent group | grep "OpenVPN access" &> /dev/null ) ; then
- smbldap-groupadd -g 521 "OpenVPN access" || exit 1;
-fi
-
-#openvpn ipblock
-NAME="OpenVPN clients"
-if ! grep "$NAME" /etc/firewall/ipblocks; then
-	echo "$NAME='10.8.0.0/24'" >> /etc/firewall/ipblocks
-fi
-
-
-
-
-#create tlsauth key
-if ! [ -e pki/ta.key ]; then
-        openvpn --genkey --secret pki/ta.key
-fi
-
-
-
-#example
-#./syn3-client bla.linuxsysteem.nl gerard
-
Index: npl/internetserver/openvpn_conf/root/service/openvpn/run
===================================================================
--- npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision 7afb649368b1646523567de6efac96eef955d348)
+++ npl/internetserver/openvpn_conf/root/service/openvpn/run	(revision 7d1e056849f338a88f6e45dd30f52ce4c24828bf)
@@ -1,6 +1,55 @@
 #!/bin/bash
+
+set -e
+
+cd /etc/openvpn
+
+# key generation moved here, otherwise it takes too long (now the system is generating more entrophy because it continues to start)
+
+
+#basic setup
+if ! [ -e pki ]; then
+	./easyrsa init-pki
+fi
+
+#create ca cert
+if ! [ -e pki/ca.crt ]; then
+	echo syn3 | ./easyrsa build-ca nopass
+fi
+
+#create server cert
+if ! [ -e pki/issued/server.crt ]; then
+	./easyrsa build-server-full server nopass
+fi
+
+#create dh parameters
+if ! [ -e pki/dh.pem ]; then
+	./easyrsa gen-dh
+fi
+
+#create CRL list
+if ! [ -e pki/crl.pem ]; then
+	./easyrsa gen-crl
+fi
+
+#openvpn group
+if ! ( getent group | grep "OpenVPN access" &> /dev/null ) ; then
+ smbldap-groupadd -g 521 "OpenVPN access" || exit 1;
+fi
+
+#openvpn ipblock
+NAME="OpenVPN clients"
+if ! grep "$NAME" /etc/firewall/ipblocks; then
+	echo "$NAME='10.8.0.0/24'" >> /etc/firewall/ipblocks
+fi
+
+#create tlsauth key
+if ! [ -e pki/ta.key ]; then
+        openvpn --genkey --secret pki/ta.key
+fi
+
 
 modprobe tun
 
-cd /etc/openvpn
 exec openvpn --config openvpn.conf
+
